/*
 Navicat Premium Dump SQL

 Source Server         : fhxy-192.168.1.61-polardbx
 Source Server Type    : MySQL
 Source Server Version : 80032 (8.0.32-X-Cluster-8.4.19-20241112)
 Source Host           : 192.168.1.61:4886
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 80032 (8.0.32-X-Cluster-8.4.19-20241112)
 File Encoding         : 65001

 Date: 14/02/2025 16:27:41
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for mx_debug_fault
-- ----------------------------
DROP TABLE IF EXISTS `mx_debug_fault`;
CREATE TABLE `mx_debug_fault`  (
  `ref_id` bigint NOT NULL AUTO_INCREMENT COMMENT '关联ID',
  `sim_id` bigint NOT NULL COMMENT '模拟器ID',
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '7' COMMENT '选择状态:[7]-未知,[1]-选中,[0]-没有选中',
  `ref_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束',
  `answer_right` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '答题正确:[0]-初始化,[1]-正确,[2]-错误',
  `sim_fault_question_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器出题值/电阻代表值',
  `sim_fault_answer_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器答题值/电阻代表值',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`ref_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 342 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-调试故障表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_debug_fault
-- ----------------------------
INSERT INTO `mx_debug_fault` VALUES (327, 169, '0003GZBW0001', '1', '', '1', '00000002', '0000000C', NULL, '2025-02-14 16:25:49', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (328, 169, '0003GZBW0002', '1', '', '2', '00000002', '00000002', NULL, '2025-02-14 16:25:50', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (329, 169, '0003GZBW0003', '1', '', '2', '0000000C', '0000000C', NULL, '2025-02-14 16:25:50', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (330, 169, '0003GZBW0004', '0', '', '0', '00000002', '00000002', NULL, '2025-02-14 16:25:50', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (331, 169, '0003GZBW0005', '0', '', '0', '00000000', '00000000', NULL, '2025-02-14 16:25:50', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (332, 169, '0003GZBW0006', '0', '', '0', '00000009', '00000009', NULL, '2025-02-14 16:25:50', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (333, 169, '0003GZBW0007', '0', '', '0', '00000000', '00000000', NULL, '2025-02-14 16:25:51', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (334, 169, '0003GZBW0008', '0', '', '0', '00000000', '00000000', NULL, '2025-02-14 16:25:51', NULL, '2025-02-14 16:26:07');
INSERT INTO `mx_debug_fault` VALUES (335, 169, '0003GZBW0009', '0', '', '0', '00000000', '00000000', NULL, '2025-02-14 16:25:51', NULL, '2025-02-14 16:26:08');
INSERT INTO `mx_debug_fault` VALUES (336, 169, '0003GZBW0010', '0', '', '0', '00000001', '00000001', NULL, '2025-02-14 16:25:51', NULL, '2025-02-14 16:26:08');
INSERT INTO `mx_debug_fault` VALUES (337, 169, '0003GZBW0011', '0', '', '0', '0000000F', '0000000F', NULL, '2025-02-14 16:25:52', NULL, '2025-02-14 16:26:08');
INSERT INTO `mx_debug_fault` VALUES (338, 169, '0003GZBW0012', '0', '', '0', '00000000', '00000000', NULL, '2025-02-14 16:25:52', NULL, '2025-02-14 16:26:08');
INSERT INTO `mx_debug_fault` VALUES (339, 169, '0003GZBW0013', '0', '', '0', '00000001', '00000001', NULL, '2025-02-14 16:25:52', NULL, '2025-02-14 16:26:08');
INSERT INTO `mx_debug_fault` VALUES (340, 169, '0003GZBW0014', '0', '', '0', '00000001', '00000001', NULL, '2025-02-14 16:25:52', NULL, '2025-02-14 16:26:08');
INSERT INTO `mx_debug_fault` VALUES (341, 169, '0003GZBW0015', '0', '', '0', '00000000', '00000000', NULL, '2025-02-14 16:25:52', NULL, '2025-02-14 16:26:08');

SET FOREIGN_KEY_CHECKS = 1;
